# -*- coding: utf-8 -*-
import scrapy
from image.pipelines import ImagePipeline

class IvskySpider(scrapy.Spider):
    name = 'ivsky'
    allowed_domains = ['ivsky.com']
    start_urls = ['https://www.ivsky.com/bizhi/iu_v36301/pic_595607.html']

    def parse(self, response):
        image_url = response.xpath('//img[@id="imgis"]/@src').extract_first()
        # image_name = response.xpath('//div[@class="al_tit"]/h1/text()').extract_first()
        yield {
            'image_urls':[image_url],
            # 'image_name':image_name
        }
        # next_url = response.xpath('//a[@class="page-next"]/@href').extract_first()
        # yield scrapy.Request(response.urljoin(next_url),callback=self.parse)
